# pandas.DataFrame.combine

`DataFrame.``combine`(other, func, fill_value=None, overwrite=True)

  Add two DataFrame objects and do not propagate NaN values, so if for a (column, time) one frame is missing a value, it will default to the other frame’s value (which might be NaN as well)

  Parameters:

  other : DataFrame

  func : function

  fill_value : scalar value

  overwrite : boolean, default True

  > If True then overwrite values for common keys in the calling frame

  Returns: | result : DataFrame